<form on:submit|preventDefault={handleAdd}>
    <div class="group">
        <label >Number of Apples</label>
        <input type="number" bind:value={nApples} bind:this={nApplesInput}/>
    </div>
    <div class="group">
        <label >Number of Oranges</label>
        <input type="number" bind:value={nOranges} />
    </div>
    <div class="group">
        <button type="submit">Add Fruit Basket</button>
    </div>
</form>

<script>
import {fruitBasketOptionsStore} from '../stores'
import {onMount} from 'svelte'
let nApples, nOranges, nApplesInput
onMount(() => {
    nApplesInput.focus()
})
async function handleAdd() {
    console.log(`About to make the fetch: ${nApples}, ${nOranges}`)
    const response = await fetch('http://localhost:3000/api/fruit-basket-options', {
        method:'POST',
        headers: {
          'Content-Type': 'application/json'
        },
        body: JSON.stringify({nApples, nOranges})
    })
    nApples = '',nOranges = ''
    nApplesInput.focus()
    fruitBasketOptionsStore.refresh()
}
</script>

<style lang="scss">
@import '../styles/_variables';
input {
    font-size: 2rem;
    border-radius: 0.5rem;
    box-shadow: 1px 1px 3px $gray;
    padding: 10px;
    text-align: center;
}
button {
    font-size: 16px;
    border-radius: 0.5rem;
    box-shadow: 1px 1px 3px $gray;
    padding: 10px;
    text-align: center;
}
form {
    display: block;
}
label {
    display: block;
    font-size: 1.5rem;
}
.group {
    margin: 30px;
}
</style>